| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# csutil/documenthelper.h File Reference

Helper functions and classes which operate on iDocumentNode and iDocumentNodeIterator. More...

`#include "csutil/csstring.h"`
`#include "csutil/refarr.h"`
`#include "csutil/regexp.h"`
`#include "csutil/scf_implementation.h"`
`#include "csutil/util.h"`
`#include "iutil/document.h"`

Go to the source code of this file.

## Namespaces
namespace | CS
namespace | CS::DocumentHelper
namespace | CS::DocumentHelper::Implementation
## Classes
class | CS::DocumentHelper::Implementation::FilterDocumentNodeIterator< T >
| Filtering iDocumentNodeIterator. More...
struct | CS::DocumentHelper::NodeAttributeCompare
| Node comparator. More...
struct | CS::DocumentHelper::NodeAttributeRegexpTest
| Check if a regular expression matches(case-insensitive) with the value of the given attribute. More...
struct | CS::DocumentHelper::NodeAttributeValueTest
| Compare (case-sensitive) node attribute to given. More...
struct | CS::DocumentHelper::NodeNameCompare
| Node comparator. More...
struct | CS::DocumentHelper::NodeValueTest
| Compare (case-sensitive) node value to given. More...
## Functions
template<class T>
csPtr< iDocumentNodeIterator > | CS::DocumentHelper::FilterDocumentNodeIterator (csRef< iDocumentNodeIterator > parent, T filter)
| Get a filtering iDocumentNodeIterator Example usage:.
template<class T>
void | CS::DocumentHelper::RemoveDuplicateChildren (iDocumentNode *rootNode, csRef< iDocumentNodeIterator > childIt, T eq)
| Remove duplicate child-nodes.
template<class T>
void | CS::DocumentHelper::RemoveDuplicateChildren (iDocumentNode *rootNode, T eq)
| Remove duplicate child-nodes.

## Detailed Description

Helper functions and classes which operate on iDocumentNode and iDocumentNodeIterator.

Definition in file documenthelper.h.